

<div class="assignmentSkillWrap">
  <div class="bredcum">


      <div class="menuTab pull-left">
        <ul>
           <li>
              <p>Assignment Skill Details</p>
           </li>

        </ul>
     </div>
     <div class="btnAssing text-right">
        <button class="btn btn-cyean" (click)="openPopup()" >
          Add Assignment Skill
        </button>
     </div>
  </div>
  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable" >
      <tr>
        <th> Skill Name</th>
        <th> Skill Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let assignmentSkillDetailObj of assignmentSkillDetailList">
        <td>{{assignmentSkillDetailObj.assignmentSkillDetailName}}</td>
        <td>{{assignmentSkillDetailObj.assignmentSkillDetailDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(assignmentSkillDetailObj)">
          Edit Assignment Skill
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(assignmentSkillDetailObj)">
          Delete Assignment Skill
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createAssignmentSkillDetail">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">Create Assignment Skill</h4>
        <h4  *ngIf="isEdit">Edit Assignment Skill</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentSkillDetail="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentSkillDetailObj.touched && assignmentSkillDetailObj.invalid">
              <label for="assignmentName">  Skill Name <span class="alert-msg">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentSkillDetailObj.assignmentSkillDetailName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="Please Enter Assignment Skill Name"/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Enter Assignment Skill Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0"> Description <span class="alert-msg">*</span></label>
          <textarea [(ngModel)]="assignmentSkillDetailObj.assignmentSkillDetailDesp" required name=description id="description"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter  Assignment Skill  Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveAssignmentSkillDetail()" [disabled]="!assignmentSkillDetail.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateAssignmentSkillDetail()" [disabled]="!assignmentSkillDetail.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn  btn-Close"  (click)="navigateToCreateAssignmentSkillDetailPopup()" >Close</button>

          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteAssignmentSkillDetail">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Assignment Skill</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are you sure you want to delete {{deleteskilldetailObj.assignmentSkillDetailObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteAssignmentSkillDetail(deleteskilldetailObj)" >Delete</button>

        </div>
        <div class="col-sm-6">
          <button class="btn btn-Close" (click)="closeDeletePopup()">Close</button>

        </div>
      </div>


    </div>

  </div>
</div>
